
Summary: Library for client-server games
Name: libggz
%if 0%{?fedora} > 9
Epoch: 1
%endif
Version: 0.0.14.1
Release: 3%{?dist}

License: LGPLv2+
Group: Development/Libraries
URL: http://www.ggzgamingzone.org/

Source: http://ftp.belnet.be/packages/ggzgamingzone/ggz/%{version}/libggz-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# upstream patches
Patch100: http://hq.ggzgamingzone.org/~josef/diffs/0.0.14.1/libggz-branch-ggz-0-0-14.diff

BuildRequires: automake libtool
BuildRequires: libgcrypt-devel
## tls support: openssl (l)gpl compat?  not sure, use gnutls for now -- Rex 
#BuildRequires: openssl-devel
BuildRequires: gnutls-devel

%description
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q

%patch100 -p0 -b .upstream

autoreconf -i -f


%build
%configure \
  --disable-debug \
  --disable-static \
  --with-gcrypt \
  --with-tls=GnuTLS

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/lib*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libggz.so.2*

%files devel
%{_includedir}/ggz*.h
%{_libdir}/libggz.so
%{_mandir}/man3/ggz*


%changelog
* Wed Jan 21 2009 Rex Dieter <rdieter@fedoraproject.org> - 1:0.0.14.1-3
- Epoch'd downgrade to 0.0.14.1 (at upstream request)
- upstream branch patch

* Fri Dec 12 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.99.4-2
- rebuild for pkgconfig deps

* Sun Aug 24 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.99.4-1
- libgzz-snapshot-0.99.4

* Wed Jun 25 2008 Tomas Mraz <tmraz@redhat.com> - 0.0.14.1-2
- rebuild with new gnutls

* Sun Feb 17 2008 Rex Dieter <rdieter@fedoraproject.org> 0.0.14.1-1
- ggz 0.0.14.1

* Fri Feb 08 2008 Rex Dieter <rdieter@fedoraproject.org> 0.0.14-3 
- respin (gcc43)

* Thu Sep 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.0.14-2
- cleanup

* Wed Sep  5 2007 Dries Verachtert <dries@ulyssis.org> - 0.0.14-1
- Updated to release 0.0.14.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.0.12-1.2
- Rebuild for Fedora Core 5.

* Sat Dec 03 2005 Dries Verachtert <dries@ulyssis.org> - 0.0.12-1
- Initial package.
